<?php 
/*
======================
Administraatori paneel
"Kasutajad" vaade
======================
*/
include "config.php";
include ADMIN_ROOT . "header.php";
?>
<h2 class="decorated"><span>Kasutajate nimekiri</span></h2>

<?php
// Lehekülgede nummerdus
$page = isset($_GET['page']) ? $_GET['page'] : 1;
$records_per_page = 10;
$from_record_num = ($records_per_page * $page) - $records_per_page;

include_once ROOT . 'db/dbconfig.php';
include_once ADMIN_ROOT . 'objects/kasutaja.class.php';

$database = new Database();
$db = $database->dbConnection();

$kasutaja = new Kasutaja($db);

// Loeme sisse kõik kasutajad
$stmt = $kasutaja->readAll($page, $from_record_num, $records_per_page);
$num = $stmt->rowCount();

// Kuvame tulemused tabelis
if($num>0){

  echo "<br/><br/><table class='table table-hover table-responsive table-bordered'>";
  echo "<tr>";
  echo "<th>ID</th>";
  echo "<th>Eesnimi</th>";
  echo "<th>Perekonnanimi</th>";
  echo "<th style='text-align:center;'>Tegevus</th>";
  echo "</tr>";

  while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){

    extract($row);

    echo "<tr>";
    echo "<td>{$id}</td>";
    echo "<td>{$eesnimi}</td>";
    echo "<td>{$perekonnanimi}</td>";
    echo "<td width='10%'>";
    echo "<a href='kasutaja.php?id={$id}' class='btn btn-default left-margin'>Kuva andmed</a> ";
    echo "</td>";
    echo "</tr>";

  }

  echo "</table>";

  include_once 'paging_kasutajad.php';
}

else{
  echo "<br /><center>Kasutajaid ei leitud.</center>";
}

include ADMIN_ROOT . "footer.php";
?>